<?php

namespace FiloBlu\CheckoutExtend\Helper;

use Magento\Framework\App\ObjectManager;
use Magento\Store\Model\ScopeInterface;

class Data extends \Magento\Framework\Url\Helper\Data
{

    public function getShippingAddressAdditionalData()
    {
        return unserialize($this->scopeConfig->getValue('filoblu_checkoutextend_section/shipping_address/additional_data', ScopeInterface::SCOPE_STORE) ?? '');
    }

    public function getConfigValue($path)
    {
        return $this->scopeConfig->getValue($path, ScopeInterface::SCOPE_STORE);
    }

    public function getCurrentLocale()
    {
        $om = ObjectManager::getInstance();
        $resolver = $om->get('Magento\Framework\Locale\Resolver');
        return $resolver->getLocale();
    }

    public function getCurrentWebsiteName()
    {
        $om = ObjectManager::getInstance();
        return $om->get('Magento\Store\Model\StoreManagerInterface')->getWebsite()->getName();
    }

    /**
     * @return mixed by Erry
     */
    public function getCustomerGroupVatSeparation()
    {
        return $this->scopeConfig->getValue('filoblu_checkoutextend_section/totals/vat_separation', ScopeInterface::SCOPE_STORE);
    }

    /**
     * @return bool
     */
    public function getEnableVatSeparation()
    {
        return (bool)$this->scopeConfig->getValue('filoblu_checkoutextend_section/totals/enabled_vat_separation', ScopeInterface::SCOPE_STORE);
    }

    /**
     * @param $store
     * @return bool
     */
    public function canValidateRequester($store = null)
    {
        return $this->scopeConfig->isSetFlag('filoblu_checkoutextend_section/totals/vat_validate_requester', ScopeInterface::SCOPE_STORE, $store);
    }

    /**
     * @return string
     */
    public function getVatValidationUrl()
    {
        if ($this->_moduleManager->isEnabled('FiloBlu_VatValidatorApi')) {
            return '/vatvalidation/index/validate';
        }

        return '/filoblucheckoutextend/index/validatevat';
    }
}
